org.apache.ignite.cache.store.cassandra.session

## Interface BatchExecutionAssistant<R,V>

- Type Parameters:
    `R` - type of the result returned from batch operation.
    `V` - type of the value used in batch operation.
  All Known Implementing Classes:
    GenericBatchExecutionAssistant

      public interface BatchExecutionAssistant<R,V>

  Provides information for batch operations (loadAll, deleteAll, writeAll) of Ignite cache backed by `CassandraCacheStore`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `alreadyProcessed(int seqNum)` Checks if row/object with specified sequential number is already processed.
    `com.datastax.driver.core.BoundStatement` | `bindStatement(com.datastax.driver.core.PreparedStatement statement, V obj)` Binds prepared statement to current Cassandra session.
    `KeyValuePersistenceSettings` | `getPersistenceSettings()` Returns Ignite cache key/value persistence settings.
    `String` | `getStatement()` Returns unbind CLQ statement for to be executed inside batch operation.
    `String` | `getTable()` Cassandra table to use for an operation.
    `String` | `operationName()` Display name for the batch operation.
    `void` | `process(com.datastax.driver.core.Row row, int seqNum)` Processes particular row inside batch operation.
    `int` | `processedCount()`
    `R` | `processedData()`
    `boolean` | `tableExistenceRequired()` Indicates if Cassandra tables existence is required for this batch operation.

- - ### Method Detail

    - #### tableExistenceRequired

          boolean tableExistenceRequired()

      Indicates if Cassandra tables existence is required for this batch operation.
      Returns:
        `true` true if table existence required.

    - #### getTable

          String getTable()

      Cassandra table to use for an operation.
      Returns:
        Table name.

    - #### getStatement

          String getStatement()

      Returns unbind CLQ statement for to be executed inside batch operation.
      Returns:
        Unbind CQL statement.

    - #### bindStatement

          com.datastax.driver.core.BoundStatement bindStatement(com.datastax.driver.core.PreparedStatement statement,
                                                                V obj)

      Binds prepared statement to current Cassandra session.
      Parameters:
        `statement` - Statement.
        `obj` - Parameters for statement binding.
      Returns:
        Bounded statement.

    - #### getPersistenceSettings

          KeyValuePersistenceSettings getPersistenceSettings()

      Returns Ignite cache key/value persistence settings.
      Returns:
        persistence settings.

    - #### operationName

          String operationName()

      Display name for the batch operation.
      Returns:
        Operation display name.

    - #### process

          void process(com.datastax.driver.core.Row row,
                       int seqNum)

      Processes particular row inside batch operation.
      Parameters:
        `row` - Row to process.
        `seqNum` - Sequential number of the row.

    - #### alreadyProcessed

          boolean alreadyProcessed(int seqNum)

      Checks if row/object with specified sequential number is already processed.
      Parameters:
        `seqNum` - object sequential number
      Returns:
        `true` if object is already processed

    - #### processedCount

          int processedCount()

      Returns:
        number of processed objects/rows.

    - #### processedData

          R processedData()

      Returns:
        batch operation result.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021